from metadata.sdk import configurefrom metadata.sdk.entities import DataProductsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDdp = DataProducts.retrieve("b1839f98-f046-5f35-bdef-20f9b3395cb2")print(f"{dp.fullyQualifiedName.root}: {getattr(dp.description, 'root', dp.description)}")# Get by ID with fieldsdp = DataProducts.retrieve( "b1839f98-f046-5f35-bdef-20f9b3395cb2", fields=["owners", "domains", "experts", "assets"])# Get by fully qualified namedp = DataProducts.retrieve_by_name("CustomerInsights")# Get by name with fieldsdp = DataProducts.retrieve_by_name( "CustomerInsights", fields=["owners", "domains", "experts", "assets"])
// client is an initialized OpenMetadataClient.var dataProduct = client.dataProducts().get("b1839f98-f046-5f35-bdef-20f9b3395cb2");// Get by ID with fieldsvar dataProductWithFields = client.dataProducts().get( "b1839f98-f046-5f35-bdef-20f9b3395cb2", "owners,domains,experts,assets");// Get by fully qualified namevar dataProductByName = client.dataProducts().getByName("CustomerInsights");// Get by name with fieldsvar dataProductByNameWithFields = client.dataProducts().getByName( "CustomerInsights", "owners,domains,experts,assets");
# Get by IDcurl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2?fields=owners,domains,experts,assets" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/dataProducts/name/CustomerInsights" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/dataProducts/name/CustomerInsights?fields=owners,domains,experts,assets" \ -H "Authorization: Bearer {access_token}"
Retrieve a data product by UUID or fully qualified name with optional field expansion for assets, owners, experts, and governance metadata using the Collate REST API.
GET
/
v1
/
dataProducts
/
{id}
GET /v1/dataProducts/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import DataProductsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDdp = DataProducts.retrieve("b1839f98-f046-5f35-bdef-20f9b3395cb2")print(f"{dp.fullyQualifiedName.root}: {getattr(dp.description, 'root', dp.description)}")# Get by ID with fieldsdp = DataProducts.retrieve( "b1839f98-f046-5f35-bdef-20f9b3395cb2", fields=["owners", "domains", "experts", "assets"])# Get by fully qualified namedp = DataProducts.retrieve_by_name("CustomerInsights")# Get by name with fieldsdp = DataProducts.retrieve_by_name( "CustomerInsights", fields=["owners", "domains", "experts", "assets"])
// client is an initialized OpenMetadataClient.var dataProduct = client.dataProducts().get("b1839f98-f046-5f35-bdef-20f9b3395cb2");// Get by ID with fieldsvar dataProductWithFields = client.dataProducts().get( "b1839f98-f046-5f35-bdef-20f9b3395cb2", "owners,domains,experts,assets");// Get by fully qualified namevar dataProductByName = client.dataProducts().getByName("CustomerInsights");// Get by name with fieldsvar dataProductByNameWithFields = client.dataProducts().getByName( "CustomerInsights", "owners,domains,experts,assets");
# Get by IDcurl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2?fields=owners,domains,experts,assets" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/dataProducts/name/CustomerInsights" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/dataProducts/name/CustomerInsights?fields=owners,domains,experts,assets" \ -H "Authorization: Bearer {access_token}"
Get a single data product by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the data product to retrieve.
string
Comma-separated list of fields to include, for example owners,domains,experts,assets.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/dataProducts/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the data product, for example CustomerInsights.
string
Comma-separated list of fields to include: owners, domains, experts, assets.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/dataProducts/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import DataProductsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDdp = DataProducts.retrieve("b1839f98-f046-5f35-bdef-20f9b3395cb2")print(f"{dp.fullyQualifiedName.root}: {getattr(dp.description, 'root', dp.description)}")# Get by ID with fieldsdp = DataProducts.retrieve( "b1839f98-f046-5f35-bdef-20f9b3395cb2", fields=["owners", "domains", "experts", "assets"])# Get by fully qualified namedp = DataProducts.retrieve_by_name("CustomerInsights")# Get by name with fieldsdp = DataProducts.retrieve_by_name( "CustomerInsights", fields=["owners", "domains", "experts", "assets"])
// client is an initialized OpenMetadataClient.var dataProduct = client.dataProducts().get("b1839f98-f046-5f35-bdef-20f9b3395cb2");// Get by ID with fieldsvar dataProductWithFields = client.dataProducts().get( "b1839f98-f046-5f35-bdef-20f9b3395cb2", "owners,domains,experts,assets");// Get by fully qualified namevar dataProductByName = client.dataProducts().getByName("CustomerInsights");// Get by name with fieldsvar dataProductByNameWithFields = client.dataProducts().getByName( "CustomerInsights", "owners,domains,experts,assets");
# Get by IDcurl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2?fields=owners,domains,experts,assets" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/dataProducts/name/CustomerInsights" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/dataProducts/name/CustomerInsights?fields=owners,domains,experts,assets" \ -H "Authorization: Bearer {access_token}"